Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.skype.ipc
Class LoggedTlsInputOutputStream.dummyKeyManager

    java.lang.Object
      javax.net.ssl.X509ExtendedKeyManager
          com.skype.ipc.LoggedTlsInputOutputStream.dummyKeyManager

All Implemented Interfaces:
  javax.net.ssl.KeyManager, javax.net.ssl.X509KeyManager

Enclosing class:
  LoggedTlsInputOutputStream

    public class LoggedTlsInputOutputStream.dummyKeyManager

extends javax.net.ssl.X509ExtendedKeyManager

Constructor Summary
`LoggedTlsInputOutputStream.dummyKeyManager(java.security.cert.X509Certificate _cert, java.security.PrivateKey _privKey)`

Method Summary
`java.lang.String` | `chooseClientAlias(java.lang.String[] arg0, java.security.Principal[] arg1, java.net.Socket arg2)`
`java.lang.String` | `chooseEngineServerAlias(java.lang.String keyType, java.security.Principal[] issuers, javax.net.ssl.SSLEngine engine)`
`java.lang.String` | `chooseServerAlias(java.lang.String keyType, java.security.Principal[] issuers, java.net.Socket arg2)`
`java.security.cert.X509Certificate[]` | `getCertificateChain(java.lang.String arg0)`
`java.lang.String[]` | `getClientAliases(java.lang.String arg0, java.security.Principal[] arg1)`
`java.security.PrivateKey` | `getPrivateKey(java.lang.String arg0)`
`java.lang.String[]` | `getServerAliases(java.lang.String arg0, java.security.Principal[] arg1)`

Methods inherited from class javax.net.ssl.X509ExtendedKeyManager
`chooseEngineClientAlias`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoggedTlsInputOutputStream.dummyKeyManager

    public LoggedTlsInputOutputStream.dummyKeyManager(java.security.cert.X509Certificate _cert,
                                                      java.security.PrivateKey _privKey)

Method Detail

### chooseClientAlias

    public java.lang.String chooseClientAlias(java.lang.String[] arg0,
                                              java.security.Principal[] arg1,
                                              java.net.Socket arg2)

### chooseEngineServerAlias

    public java.lang.String chooseEngineServerAlias(java.lang.String keyType,
                                                    java.security.Principal[] issuers,
                                                    javax.net.ssl.SSLEngine engine)

  Overrides:
    `chooseEngineServerAlias` in class `javax.net.ssl.X509ExtendedKeyManager`

### chooseServerAlias

    public java.lang.String chooseServerAlias(java.lang.String keyType,
                                              java.security.Principal[] issuers,
                                              java.net.Socket arg2)

### getCertificateChain

    public java.security.cert.X509Certificate[] getCertificateChain(java.lang.String arg0)

### getClientAliases

    public java.lang.String[] getClientAliases(java.lang.String arg0,
                                               java.security.Principal[] arg1)

### getPrivateKey

    public java.security.PrivateKey getPrivateKey(java.lang.String arg0)

### getServerAliases

    public java.lang.String[] getServerAliases(java.lang.String arg0,
                                               java.security.Principal[] arg1)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.